if(!this.WndMgr) {
	this.WndMgr = new Object();
}

WndMgr ={
		MouseClickEnable : false,
		MouseOverEnable : false,
		
		//VideoCallScreen : "Large",
        //SkypeOutCallMode : "Normal",
        
        CallMode : "SkypeIn",
        
        TextEditorCallerSceneId : "",
        TextEditorCallerObj :null,
		TextEditorCallerDimObj :null,   

        isShowMain : false,
		isCallingFail : false ,
        isShowCalling : false ,        
        isShowVideoCall : false ,        
        isShowConferenceCall: false ,
        isShowVoiceMail :false,
        isShowVideoSnapshot : false,
        isShowCheckConnected : false,
        isShowCheckDisconnected : false,
        isShowIncomingCall : false,
		isShowCallConfirmPopup : false,
		isShowNotCallinDualView : false,

               
        isShowTextEditor:false,
        isLoadTextEditor:false,
        
        isShowContactAddMenu:false,
        isShowContactCallMenu:false,
        isShowPhoneNumberList:false,
        
        
///////////Pre laod Bg///////////////////////////////////////////////////////////////
        Bg_TextEditor : null,
        Bg_ChatMsg : null,
		Bg_CallEnd : null,
		Bg_Calling : null,
		Bg_Popup : null,
		Bg_VideoCallNOR :null,
		Bg_VideoCallSD :null,
		Bg_ConfCall :null,
		Bg_LoadingGIF:null,
		Bg_LiveContactList:null,
		Bg_Dim:null,

//Function Parameter
		Param_A : null,	//check...
		ToolType : null,		
		

		Horizontal : 0,
		Vertical : 0,
		Frequency: 0,
		Scan : 0,
		Aspect : 0,
	
}

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
/////  Init widget ///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////


WndMgr.init = function()
{
if(WIDGET.mouse==true){
	this.MouseClickEnable = true;
	this.MouseOverEnable = true;
}	this.CallMode = "SkypeIn";
}

//2013mini add by minseok
WndMgr.ShowCurrentScene = function(currentId){
	alert("##mini##[Skype]WndMgr.ShowCurrentScene() : "+currentId);
	$.sfScene.show({id:currentId, scope:WIDGET.id});
}
WndMgr.FocusCurrentScene = function(currentId){
	alert("##mini##[Skype]WndMgr.FocusCurrentScene() : "+currentId);
	$.sfScene.focus({id:currentId, scope:WIDGET.id});
}
WndMgr.BlurCurrentScene = function(currentId){
	alert("##mini##[Skype]WndMgr.BlurCurrentScene() : "+currentId);
	$.sfScene.blur({id:currentId, scope:WIDGET.id});
}
WndMgr.HideCurrentScene= function(currentId){
	alert("##mini##[Skype]WndMgr.HideCurrentScene() : "+currentId);
	$.sfScene.hide({id:currentId, scope:WIDGET.id});
}
WndMgr.ShowInit=function()
{
    alert("##mini##***** WndMgr.ShowInit()");
    $('#miniWidgetLoading_id').loadScene({id:"miniWidgetLoading", scope:WIDGET.id});
    $.sfScene.show({id:"miniWidgetLoading", scope:WIDGET.id});
    
   // alert($.sfScene.get({id:WIDGET.name, scope:WIDGET.id}).isFocused);
    
  /*
    if($.sfScene.get({id:WIDGET.name, scope:WIDGET.id}).isFocused){
      $.sfScene.focus({id:"miniWidgetLoading", scope:WIDGET.id});
      }*/
  
}

WndMgr.HideInit=function()
{
    alert("##mini##***** WndMgr.HideInit()");
    
    $.sfScene.hide({id:"miniWidgetLoading", scope:WIDGET.id});
}



/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
/////  Welcome ///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

WndMgr.DestroyWelcome = function()
{
    $.sfScene.get({id:"miniWelcome", scope:WIDGET.id}).setDestroyFlag(true);
}

WndMgr.ShowWelcome=function()
{
    alert("##mini##***** WndMgr.ShowWelcome()");

	$.sfScene.show({id:"miniWelcome", scope:WIDGET.id});
	if($.sfScene.get({id:WIDGET.name, scope:WIDGET.id}).tabFocus==false){ // skype tab & focued
	    $.sfScene.focus({id:"miniWelcome", scope:WIDGET.id});
    }
    else {
    	alert("##mini## ******************************* miniWelcome no focused");
    }
}

WndMgr.HideWelcome = function(){
	alert("##mini##***** WndMgr.HideWelcome()");
	$.sfScene.hide({id:"miniWelcome", scope:WIDGET.id});
}

WndMgr.ReturnWelcome = function(){
	alert("##mini##***** WndMgr.ReturnWelcome()");
	
	$.sfScene.focus({id:"miniWelcome", scope:WIDGET.id});
}


/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
/////   IncomingCall  ///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

WndMgr.ShowIncomingCall = function()
{
    alert("##mini##***** WndMgr.ShowIncomingCall() "); 
    
    if(this.isShowIncomingCall == false)
    {
	    this.isShowIncomingCall = true;

    	$.sfScene.show({id:"miniIncomingCall", scope:WIDGET.id});
    	if($.sfScene.get({id:WIDGET.name, scope:WIDGET.id}).FocusSkype()==true)
    	$.sfScene.focus({id:"miniIncomingCall", scope:WIDGET.id});
    }
}


WndMgr.HideIncomingCall = function()
{
    alert("##mini##***** WndMgr.HideIncomingCall()"); 
    
    if(this.isShowIncomingCall == true)
    {
        this.isShowIncomingCall = false;
        $.sfScene.hide({id:"miniIncomingCall", scope:WIDGET.id});
    }
}

WndMgr.ReturnIncomingCall = function()
{
    alert("##mini##***** WndMgr.ReturnIncomingCall()"); 

	$.sfScene.focus({id:"miniIncomingCall", scope:WIDGET.id})
}

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
/////   NotCall during Dual View  ///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
WndMgr.ShowNotCallInDualView = function(){
	alert("##mini##***** WndMgr.ShowNotCallInDualView() "); 
    
    if(this.isShowNotCallinDualView == false)
    {
    	this.isShowNotCallinDualView = true;

    	$.sfScene.show({id:"miniCannotCallInDualView", scope:WIDGET.id});
    	if($.sfScene.get({id:WIDGET.name, scope:WIDGET.id}).FocusSkype()==true)
    	$.sfScene.focus({id:"miniCannotCallInDualView", scope:WIDGET.id});
    }
}
WndMgr.HideNotCallInDualView = function()
{
    alert("##mini##***** WndMgr.ShowNotCallInDualView()"); 
    if(this.isShowNotCallinDualView == true)
    {
        this.isShowNotCallinDualView = false;
        $.sfScene.hide({id:"miniCannotCallInDualView", scope:WIDGET.id});
    }
}
WndMgr.ReturnNotCallInDualView = function()
{
    alert("##mini##***** WndMgr.ReturnNotCallInDualView()"); 

	$.sfScene.focus({id:"miniCannotCallInDualView", scope:WIDGET.id})
}


/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
/////  SignOut ///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

WndMgr.ShowSignout=function()
{
    alert("##mini##***** WndMgr.ShowSignout()");
    // this.ShowSignoutPopup();
    // $.sfScene.show({id:'miniSignout',scope:WIDGET.id});
    // $.sfScene.focus({id:'miniSignout',scope:WIDGET.id});
    
    WndMgr.StartCallConfirmPopup(MINI_CALL_CONFIRM_POPUP.SIGN_OUT);
}

WndMgr.HideSignout=function()
{
    alert("##mini##***** WndMgr.HideSignout()");
    
    // $.sfScene.hide({id:'miniSignout',scope:WIDGET.id});

}
WndMgr.ShowSignoutPopup=function(){
	alert("WndMgr.ShowSignoutPopup() ");
	$("#Default_Popup").sfPopup(
	{
		text : TV_SID_DO_YOU_WANT_TO_SIGN_OUT,
		num : 2,
		focus : "right",
		callback : function(pRtn) {
			// var Scene = $.sfScene.get({id:"miniSignout", scope:WIDGET.id});
			if (pRtn == true) {
				$("#skype_default_dim").hide();
				$("#Default_Popup").sfPopup("hide");
				ProcMgr.Signout(false); 
				// Scene.requestSignout();
				// // Interactive Remote Start
				// iRemoteSocialTV.sendPopupOff();
				// // Interactive Remote End
				// Util.turnOn3D();
				// widgetAPI.sendExitEvent();
	
			} else {
				$("#skype_default_dim").hide();
				$("#Default_Popup").sfPopup("hide");
				StateMgr.Stop_Signout_State(true);
				// // Interactive Remote Start
				// iRemoteSocialTV.sendPopupOff();
				// // Interactive Remote End
				// if (pCancelFn && typeof pCancelFn == "function")
					// pCancelFn();
			}
		}
	});
	$("#skype_default_dim").show();
	$("#Default_Popup").sfPopup("show");
}

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
/////  Exit ///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

WndMgr.ShowExit=function(fromReturnKey)
{
    alert("##mini##***** WndMgr.ShowExit()");
    
   /*
    if(fromReturnKey)
    {
        $.sfScene.get('Exit').SetFromReturnKey(fromReturnKey);
    }
    
    $.sfScene.show('Exit');
       $.sfScene.focus('Exit');*/
   
}

WndMgr.HideExit=function()
{
    alert("##mini##***** WndMgr.HideExit()");
    
   // $.sfScene.hide('Exit');

}



/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
/////  Main ///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

WndMgr.ShowMain=function()
{
    alert("##mini##***** WndMgr.ShowMain()");
    this.isShowMain = true;

    $.sfScene.show({id:"miniMainContact", scope:WIDGET.id});
   
    if(utilitySet.getCurrentFocusedSNSId()==WIDGET.id && $.sfScene.get({id:WIDGET.name, scope:WIDGET.id}).tabFocus==false){ // skype tab & focued
	    $.sfScene.focus({id:"miniMainContact", scope:WIDGET.id});
    }
    else {
    	alert("##mini## ******************************* miniMainContact no focused");
    }

}

WndMgr.HideMain = function()
{
    alert("##mini##***** WndMgr.HideMain()");
	 this.isShowMain = false;
	 $.sfScene.hide({id:"miniMainContact", scope:WIDGET.id});
}

WndMgr.DestroyMain = function()
{
    $.sfScene.get({id:"miniMainContact", scope:WIDGET.id}).setDestroyFlag(true);
}

WndMgr.ReturnMain =function()
{
    alert("##mini##***** WndMgr.ReturnMain()");
    $.sfScene.get({id:"miniMainContact", scope:WIDGET.id}).update();
    $.sfScene.focus({id:"miniMainContact", scope:WIDGET.id});
   
}


WndMgr.SelectItemOfContactList = function(index)
{
	alert('##mini##***WndMgr.SelectItemOfContactList -> index: '+index);
	
    $.sfScene.get({id:"miniMainContact", scope:WIDGET.id}).RefreshForIndex(index);
    $.sfScene.get({id:"miniMainContact", scope:WIDGET.id}).selectListItem();
}

/*
WndMgr.UpdateMainCameraState =function()
{
     if(this.isShowMain == true)
    {
        alert("##mini##***** WndMgr.UpdateMainCameraState() ");
        $.sfScene.get({id:"miniMainContact", scope:WIDGET.id}).toggleCameraOffBtnEnable();
    } 
}*/


WndMgr.UpdateCameraCheckState = function()
{        	
     if(this.isShowCheckConnected == true)
    {
        alert("##mini##***** WndMgr.UpdateCameraCheckConnected() ");
        $.sfScene.get('CameraCheckConnected').refreshCheckWnd();
    }

     if(this.isShowCheckDisconnected == true)
    {
        alert("##mini##***** WndMgr.UpdateCameraCheckDisconnected() ");
        $.sfScene.get('CameraCheckDisconnected').refreshCheckWnd();
    }
}



/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
/////  Calling  ///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

WndMgr.ShowCalling = function()
{
    alert("##mini##***** WndMgr.ShowCalling()");
    this.isShowCalling = true ;
    
    $.sfScene.show({id:"miniCalling", scope:WIDGET.id});
    $.sfScene.focus({id:"miniCalling", scope:WIDGET.id});
}

WndMgr.HideCalling = function()
{
    alert("##mini##***** WndMgr.HideCalling()");
    this.isShowCalling = false ;

    $.sfScene.hide({id:"miniCalling", scope:WIDGET.id});
}

WndMgr.ReturnCalling = function()
{
    alert("##mini##***** WndMgr.ReturnCalling()");
    		
    $.sfScene.focus({id:"miniCalling", scope:WIDGET.id});	
}

WndMgr.CloseCallingPreView = function()
{
	if(this.isShowCalling == true)
	{
		$.sfScene.get({id:"miniCalling", scope:WIDGET.id}).update();
	}
}

WndMgr.UpdateCallingStatus = function(call_status)
{
    alert("##mini##***** WndMgr.UpdateCallingStatus()");
    if(this.isShowCalling == true)
    {
        $.sfScene.get({id:"miniCalling", scope:WIDGET.id}).updateCallingStatus(call_status);
    }
    else
    {
        if( call_status == ENUM_CALL_STATUS.FAILED)// && StateMgr.SubStateList[SUB_STATE.CALLING].flagLoading == true)
        {
            this.isCallingFail =  true;
        }
    }
}

WndMgr.UpdateCallingMessage = function(call_status)
{
    alert("##mini##***** WndMgr.UpdateCallingMessage()");
    if(this.isShowCalling == true)
    {
        $.sfScene.get({id:"miniCalling", scope:WIDGET.id}).updateCallingMessage(call_status);
    }
}

WndMgr.updateCallingButton = function(flag_dim)
{
    alert("##mini##***** WndMgr.updateCallingButton()");
    if(this.isShowCalling == true)
    {
        $.sfScene.get({id:"miniCalling", scope:WIDGET.id}).updateCallingButton(flag_dim);
    }
}

WndMgr.ShowSendVoiceMail = function()
{
    alert("##mini##***** WndMgr.ShowSendVoiceMail()");
    if(this.isShowCalling == true)
    {
        $.sfScene.get({id:"miniCalling", scope:WIDGET.id}).changeMode(true);
    }
	else{
		PluginAPIMgr.DisconnectCall();
	}
}

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
/////  Voice Mail  ///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

WndMgr.UpdateVoiceMailRecordingDuration=function(time)
{
    if(this.isShowCalling == true)
    {
        alert("##mini##***** WndMgr.UpdateVoiceMailRecordingDuration()  ");
        $.sfScene.get({id:"miniCalling", scope:WIDGET.id}).updateCallDuration(time);
    } 
}

WndMgr.UpdateVoiceMailMessage = function(call_status)
{
    alert("##mini##***** WndMgr.UpdateVoiceMailMessage()");
    if(this.isShowCalling == true)
    {
        $.sfScene.get({id:"miniCalling", scope:WIDGET.id}).updateVoiceMailState(call_status);
    }
}

	

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
/////  Call Ending  ///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

WndMgr.ShowCallEnding = function(flagCallEndByMe)
{
    alert("##mini##***** WndMgr.ShowCallEnding()");
    
    if(flagCallEndByMe==true)
    {
        $.sfScene.get({id:"miniCallEnding", scope:WIDGET.id}).setFlagEnding(true);
    }
    else
    {
        $.sfScene.get({id:"miniCallEnding", scope:WIDGET.id}).setFlagEnding(false);
    }
    
    $.sfScene.show({id:"miniCallEnding", scope:WIDGET.id});
    $.sfScene.focus({id:"miniCallEnding", scope:WIDGET.id});
}

WndMgr.HideCallEnding = function()
{
    alert("##mini##***** WndMgr.HideCallEnding()");
        
    $.sfScene.hide({id:"miniCallEnding", scope:WIDGET.id});
}

WndMgr.UpdateCallEndingStatus = function()
{
    alert("##mini##***** WndMgr.UpdateCallEndingStatus()");
	
	$.sfScene.get({id:"miniCallEnding", scope:WIDGET.id}).setFlagEnding(false);
	$.sfScene.get({id:"miniCallEnding", scope:WIDGET.id}).update();
}

WndMgr.UpdateCallDroppedStatus = function()
{
	$.sfScene.get({id:"miniCallEnding", scope:WIDGET.id}).setFlagDropped(true);
}


/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
/////  Video Call  ///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

WndMgr.ShowVideoCall=function()
{
    alert("##mini##***** WndMgr.ShowVideoCall()");

    $.sfScene.show({id:"miniSkypeCall", scope:WIDGET.id});
    if($.sfScene.get({id:WIDGET.name, scope:WIDGET.id}).FocusSkype()==true)
    $.sfScene.focus({id:"miniSkypeCall", scope:WIDGET.id});

	this.isShowVideoCall = true;
	                
	PluginAPIMgr.SetCameraLightMode(); 
}

WndMgr.HideVideoCall=function()
{
    alert("##mini##***** WndMgr.HideVideoCall()");

    $.sfScene.hide({id:"miniSkypeCall", scope:WIDGET.id});
    
    this.isShowVideoCall = false;
}

WndMgr.ReturnVideoCall =function()
{
    alert("##mini##***** WndMgr.ReturnVideoCall()");
    
    $.sfScene.focus({id:"miniSkypeCall", scope:WIDGET.id});
}


WndMgr.UpdateVideoCallDuration=function(time)
{    
    if( this.isShowVideoCall == true)
    {
        alert("##mini##***** WndMgr.UpdateVideoCallDuration()");        
        $.sfScene.get({id:"miniSkypeCall", scope:WIDGET.id}).updateCallDuration(time);
    }
}

WndMgr.UpdateVideoCallCameraState=function()
{
    WndMgr.UpdateVideoCallMyVideo();
}

WndMgr.UpdateVideoCallYourVideo=function()
{    
    if( this.isShowVideoCall  == true)
    {
        alert("##mini##***** WndMgr.UpdateVideoCallYourVideo()");
        $.sfScene.get({id:"miniSkypeCall", scope:WIDGET.id}).toggleYourVideo();
    }
}

WndMgr.UpdateVideoCallMyVideo=function()
{    
    if( this.isShowVideoCall  == true)
    {
        alert("##mini##***** WndMgr.UpdateVideoCallMyVideo()");
        $.sfScene.get({id:"miniSkypeCall", scope:WIDGET.id}).toggleMyVideo();        
    }
}

WndMgr.VideoCallRemoteHold=function()
{
     if( this.isShowVideoCall == true)
    {
        alert("##mini##***** WndMgr.VideoCallRemoteHold()");
        $.sfScene.get({id:"miniSkypeCall", scope:WIDGET.id}).setHold(true);
    }
}

WndMgr.VideoCallResume=function()
{
    if( this.isShowVideoCall  == true)
    {
        alert("**mini*** WndMgr.VideoCallResume()");
		$.sfScene.get({id:"miniSkypeCall", scope:WIDGET.id}).setHold(false);
    }
   
	PluginAPIMgr.SetCameraLightMode(); 
}


WndMgr.UpdateVideoCallMemberInfo=function()
{
    if( this.isShowVideoCall  == true)
    {
        alert("##mini##***** WndMgr.UpdateVideoCallMemberInfo() ");
        $.sfScene.get({id:"miniSkypeCall", scope:WIDGET.id}).updateCallMemberInfo();
    } 
}

WndMgr.UpdateVideoCallMemberInfo=function()
{
    if( this.isShowVideoCall  == true)
    {
        alert("##mini##***** WndMgr.UpdateVideoCallMemberInfo() ");
        $.sfScene.get({id:"miniSkypeCall", scope:WIDGET.id}).updateCallMemberInfo();
    } 
}

WndMgr.CloseVideoCallView=function()
{
    if(this.isShowVideoCall == true)
    {    
        $.sfScene.get({id:"miniSkypeCall", scope:WIDGET.id}).hiddenAllView();
        $.sfScene.get({id:"miniSkypeCall", scope:WIDGET.id}).showAllAvartarInEnd();
    }
}



/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
/////  Conference Call  ///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

WndMgr.ShowConferenceCall = function()
{
    $.sfScene.show({id:"miniConferenceCall", scope:WIDGET.id});
    $.sfScene.focus({id:"miniConferenceCall", scope:WIDGET.id});
	
	setTimeout("OpenTimerCF()", 0);
	OpenTimerCF = function(){
		PluginAPIMgr.HideConnectingWnd();
	}
    
    this.isShowConferenceCall = true ;
}

WndMgr.HideConferenceCall = function()
{
	$.sfScene.hide({id:"miniConferenceCall", scope:WIDGET.id});
    
    this.isShowConferenceCall = false ;
}

WndMgr.ReturnConferenceCall =function()
{
    alert("##mini##***** WndMgr.ReturnConferenceCall()");

	$.sfScene.focus({id:"miniConferenceCall", scope:WIDGET.id});
}

WndMgr.UpdateConferenceCallDuration=function(time)
{
    if(this.isShowConferenceCall == true)
    {
        alert("##mini##***** WndMgr.UpdateConferenceCallDuration() ");

        $.sfScene.get({id:"miniConferenceCall", scope:WIDGET.id}).updateCallDuration(time);
    } 
}

WndMgr.UpdateConferenceCallCameraState =function()
{
     if(this.isShowConferenceCall == true)
    {
        alert("##mini##***** WndMgr.UpdateConferenceCallCameraState() ");
        $.sfScene.get({id:"miniConferenceCall", scope:WIDGET.id}).toggleMicVolumeBtnEnable();
    } 
}

WndMgr.UpdateConferenceCallMemberInfo=function()
{
    if(this.isShowConferenceCall == true)
    {
        alert("##mini##***** WndMgr.UpdateConferenceCallMemberInfo() ");
        $.sfScene.get({id:"miniConferenceCall", scope:WIDGET.id}).updateCallMember();
    } 
}

WndMgr.ConferenceCallLocalHold=function()
{
    if(this.isShowConferenceCall == true)
    {
        alert("##mini##***** WndMgr.ConferenceCallLocalHold()  ");
        $.sfScene.get({id:"miniConferenceCall", scope:WIDGET.id}).LocalHold();
    } 
}

WndMgr.ConferenceCallRemoteHold=function()
{
    if(this.isShowConferenceCall == true)
    {
        alert("##mini##***** WndMgr.ConferenceCallRemoteHold()  ");
        $.sfScene.get({id:"miniConferenceCall", scope:WIDGET.id}).RemoteHold();
    } 
}

WndMgr.ConferenceCallResume=function()
{
    if(this.isShowConferenceCall == true)
    {
        alert("##mini##***** WndMgr.ConferenceCallResume()  ");
        $.sfScene.get({id:"miniConferenceCall", scope:WIDGET.id}).Resume();
    } 
}


/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
/////  Video Allow  ///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

WndMgr.ShowVideoAllow = function()
{
	alert("##mini##***** WndMgr.ShowVideoAllow()");
	
	$.sfScene.show('VideoAllowPopup');
    $.sfScene.focus('VideoAllowPopup');
}

WndMgr.HideVideoAllow = function()
{
	alert("##mini##***** WndMgr.HideVideoAllow()");
	$.sfScene.hide('VideoAllowPopup'); 
}




/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
/////  Text Editor  ///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

WndMgr.StartTextEditor = function(objId, sceneId, dimObj)
{
 alert("##mini##***** WndMgr.StartTextEditor()");
    
    this.TextEditorCallerObj = objId
    this.TextEditorCallerSceneId = sceneId;
	this.TextEditorCallerDimObj =dimObj;
  
     if(this.isLoadTextEditor==false)
    {
    	alert("##mini##[Skype]loadScene : TextEditor");
    	$('#MiniSkype').loadScene({id:"TextEditor", scope:WIDGET.id});
    	WndMgr.isLoadTextEditor = true;
        WndMgr.ShowTextEditor();
        /*$.sfScene.loadMode("TextEditor", function() {
            alert('!!!@@@ other mode loaded @@@');
            WndMgr.isLoadTextEditor = true;
            WndMgr.ShowTextEditor();
        });*/
    }
    else{
        WndMgr.ShowTextEditor();
    }
}

WndMgr.ShowTextEditor = function()
{
    alert("##mini##***** WndMgr.ShowTextEditor()"); 
    this.isShowTextEditor = true;
	if(this.TextEditorCallerDimObj)
	{
		this.TextEditorCallerDimObj.hide();
	}
	
	$.sfScene.get({id:"TextEditor", scope:WIDGET.id}).initInputBox(this.TextEditorCallerObj);
    $.sfScene.show({id:"TextEditor", scope:WIDGET.id});
    $.sfScene.focus({id:"TextEditor", scope:WIDGET.id});
    $.sfScene.get({id:"TextEditor", scope:WIDGET.id}).update();
}

WndMgr.StopTextEditor = function()
{ 
 alert("##mini##***** WndMgr.StopTextEditor()");   
    this.isShowTextEditor = false;
	if(this.TextEditorCallerDimObj)
	{
		this.TextEditorCallerDimObj.show();
	}
	
	this.TextEditorCallerObj.SetText($.sfScene.get({id:"TextEditor", scope:WIDGET.id}).GetInputText());
    $.sfScene.hide({id:"TextEditor", scope:WIDGET.id});
    $.sfScene.focus(this.TextEditorCallerSceneId );
    $.sf.returnFocus();
}

WndMgr.CancelTextEditor = function()
{   
 alert("##mini##***** WndMgr.CancelTextEditor()"); 

   this.isShowTextEditor = false;
   	if(this.TextEditorCallerDimObj)
	{
		this.TextEditorCallerDimObj.show();
	}
	
    $.sfScene.hide({id:"TextEditor", scope:WIDGET.id});
    $.sfScene.focus(this.TextEditorCallerSceneId );
    $.sf.returnFocus();
}

WndMgr.HideTextEditor = function()
{
    alert("##mini##***** WndMgr.HideTextEditor()"); 
    
    if(this.isShowTextEditor ==true)
    {
        this.isShowTextEditor = false;
        $.sfScene.hide({id:"TextEditor", scope:WIDGET.id});
        $.sf.returnFocus();
    }
}




//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
/////  One button Popup  ///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

WndMgr.StartOneBottonPopup = function(popupIndex, popupData)
{
 alert("##mini##***** WndMgr.StartOneBottonPopup() " +popupIndex);
    
    //hide callConfirmPopup
    this.HideCallConfirmPopup();
    
	if(this.isShowOneBtnPopup ==true)
	{
		WndMgr.HideOneBottonPopup();
		WndMgr.StartOneBottonPopup(popupIndex, popupData);
	}
	else
	{
		this.isShowOneBtnPopup =true;
	    $.sfScene.get({id:'miniOneButtonPopup',scope:WIDGET.id}).initPopup(popupIndex, popupData);
	    $.sfScene.show({id:'miniOneButtonPopup',scope:WIDGET.id});
	    $.sfScene.focus({id:'miniOneButtonPopup',scope:WIDGET.id});
	}

}

WndMgr.StopOneBottonPopup = function()
{
 alert("##mini##***** WndMgr.StopOneBottonPopup()");
    
    $.sfScene.hide({id:'miniOneButtonPopup',scope:WIDGET.id});
    $.sfScene.get({id:'miniOneButtonPopup',scope:WIDGET.id}).callBack();
	this.isShowOneBtnPopup =false;
}

WndMgr.HideOneBottonPopup = function()
{
 alert("##mini##***** WndMgr.HideOneBottonPopup()");
    
	if(this.isShowOneBtnPopup==true)
	{
		$.sfScene.hide({id:'miniOneButtonPopup',scope:WIDGET.id});
		this.isShowOneBtnPopup =false;
	}

}


/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
/////  Call Popup  ///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

WndMgr.StartCallConfirmPopup = function(popupType)
{
	alert("***** WndMgr.StartCallConfirmPopup()");

	//hide previous popup!!!!
	this.HideOneBottonPopup();
	
	this.ShowCallConfirmPopup(popupType);	
}

WndMgr.StopCallConfirmPopup = function()
{
	alert("***** WndMgr.StopCallConfirmPopup()");
	
	this.HideCallConfirmPopup();
	
	StateMgr.ReturnToMainState();
}


WndMgr.ShowCallConfirmPopup = function(pType)
{
    if(this.isShowCallConfirmPopup == false)
    {
    	alert("***** WndMgr.ShowCallConfirmPopup()");
    	
	    $.sfScene.get({id:'miniCallConfirmPopup',scope:WIDGET.id}).setType(pType);
	    $.sfScene.show({id:'miniCallConfirmPopup',scope:WIDGET.id});
	    $.sfScene.focus({id:'miniCallConfirmPopup',scope:WIDGET.id});
	    this.isShowCallConfirmPopup = true;
    }
}

WndMgr.HideCallConfirmPopup = function()
{

	if(this.isShowCallConfirmPopup == true)
	{
		alert("***** WndMgr.HideCallConfirmPopup()");
		
		$.sfScene.hide({id:'miniCallConfirmPopup',scope:WIDGET.id});
		this.isShowCallConfirmPopup = false;
	}
}


//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
/////  Volume  ///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////


WndMgr.ShowVolumeSpeaker= function()
{
 alert("##mini##***** WndMgr.ShowVolumeSpeaker()");

    $.sfScene.show({id:"miniVolume", scope:WIDGET.id});
    $.sfScene.focus({id:"miniVolume", scope:WIDGET.id});
}

WndMgr.HideVolumeSpeaker = function()
{
 alert("##mini##***** WndMgr.HideVolumeSpeaker()");
    
    $.sfScene.hide({id:"miniVolume", scope:WIDGET.id});
}


//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
/////  Tools  ///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////



WndMgr.ChangeWndPositionFor12Key = function(){

    alert("##mini##**** WndMgr.ChangeWndPositionFor12Key"); 

	if(this.AddContactStep == "AddContactSkypeName" )
	{
		$("#AddContactSkypeName").css("left","250px");
	}
	else if(this.isShowCheckPwd==true)
	{
		$("#CheckPassword").css("left","250px");
	}
	else if(this.isShowRename == true)
	{
		$("#Rename").css("left","250px");		
	}
	else if(this.isShowChatMsgSend == true)
	{
		$("#ChatMsgSend").css("left","250px");		
	}
	else if(this.isShowTextEditor == true)
	{
		$("#TextEditor").css("left","250px");
	}
}

WndMgr.ChangeWndPositionForQwerty = function(){

    alert("##mini##**** WndMgr.ChangeWndPositionForQwerty"); 

	if(this.AddContactStep == "AddContactSkypeName")
	{
		$("#AddContactSkypeName").css("left","5px");
	}
	else if(this.isShowCheckPwd==true)
	{
		$("#CheckPassword").css("left","5px");
	}
	else if(this.isShowRename == true)
	{
		$("#Rename").css("left","5px");		
	}
	else if(this.isShowChatMsgSend == true)
	{
		$("#ChatMsgSend").css("left","5px");		
	}
	else if(this.isShowTextEditor == true)
	{
		$("#TextEditor").css("left","5px");		
	}
}

WndMgr.SetResolutionInfo = function(horz,vert,freq,scan,asp){
	
	this.Horizontal = horz;
	this.Vertical = vert;
	this.Frequency = freq;
	this.Scan = scan;
	this.Aspect = asp;
}


WndMgr.Is1366x768Panel = function(){

	if(this.Horizontal == 1366 && this.Vertical == 768)
	{
		return true;
	}
	
	return false;
}

/*add*/
WndMgr.ShowMiniStatusChange = function()
{
    alert("##mini##***** WndMgr.ShowMiniStatusChange()");
    
    $.sfScene.show({id:'miniStatusChange',scope:WIDGET.id});
    $.sfScene.focus({id:'miniStatusChange',scope:WIDGET.id});
}

WndMgr.HideMiniStatusChange = function()
{
    alert("##mini##***** WndMgr.HideMiniStatusChange()");
    
    $.sfScene.hide({id:'miniStatusChange',scope:WIDGET.id});

}

WndMgr.ShowMiniContactAddMenu = function(itemIndex,skypeId)
{
	if(this.isShowContactAddMenu==false){
    alert("##mini##***** WndMgr.ShowMiniContactAddMenu()");
    
    $.sfScene.show({id:'miniContactAddMenu',scope:WIDGET.id});
    $.sfScene.get({id:'miniContactAddMenu',scope:WIDGET.id}).SetInit(itemIndex,skypeId);
    $.sfScene.focus({id:'miniContactAddMenu',scope:WIDGET.id});
    	this.isShowContactAddMenu=true;
	}
}

WndMgr.HideMiniContactAddMenu = function()
{
	if(this.isShowContactAddMenu==true){
    alert("##mini##***** WndMgr.HideMiniContactAddMenu()");
    $.sfScene.hide({id:'miniContactAddMenu',scope:WIDGET.id});
	    this.isShowContactAddMenu=false;
	}
}

WndMgr.ShowMiniContactCallMenu = function(itemIndex,skypeId,enableVideo)
{
	if(this.isShowContactCallMenu==false){
    alert("##mini##***** WndMgr.ShowMiniContactCallMenu()");
    $.sfScene.show({id:'miniContactCallMenu',scope:WIDGET.id});
    $.sfScene.get({id:'miniContactCallMenu',scope:WIDGET.id}).SetInit(itemIndex,skypeId,enableVideo);
    $.sfScene.focus({id:'miniContactCallMenu',scope:WIDGET.id});
    	this.isShowContactCallMenu=true;
   }
}

WndMgr.HideMiniContactCallMenu = function()
{
	if(this.isShowContactCallMenu==true){
    alert("##mini##***** WndMgr.HideMiniContactCallMenu()");
    $.sfScene.hide({id:'miniContactCallMenu',scope:WIDGET.id});
	    this.isShowContactCallMenu=false;
    }
}

WndMgr.ShowMiniPhoneNumberList = function(itemIndex,skypeId)
{
    if(this.isShowPhoneNumberList==false){
	    alert("##mini##***** WndMgr.ShowMiniPhoneNumberList()");
	    $.sfScene.show({id:'miniPhoneNumberList',scope:WIDGET.id});
	    this.isShowPhoneNumberList=true;
	    $.sfScene.get({id:'miniPhoneNumberList',scope:WIDGET.id}).SetInit(itemIndex,skypeId);
	    $.sfScene.focus({id:'miniPhoneNumberList',scope:WIDGET.id});		
    }
}

WndMgr.HideMiniPhoneNumberList = function()
{
    if(this.isShowPhoneNumberList==true){
    alert("##mini##***** WndMgr.HideMiniPhoneNumberList()");
    $.sfScene.hide({id:'miniPhoneNumberList',scope:WIDGET.id});
   		this.isShowPhoneNumberList=false;
    }
}
//with camera state Ui Update
WndMgr.UpdateMiniContactCallMenu = function()
{
	 alert("##mini##***** WndMgr.UpdateMiniContactCallMenu()");
	 $.sfScene.get({id:'miniContactCallMenu',scope:WIDGET.id}).ModifyUI();
}
WndMgr.UpdateMiniMenu = function(substate){
	alert("##mini##***** WndMgr.UpdateMiniMenu() : "+substate);
	if(substate=="miniContactAddMenu" || substate=="miniContactCallMenu" || substate=="miniPhoneNumberList"){
		$.sfScene.get({id:substate, scope:WIDGET.id}).ModifyUI();
	}
}
